Skip to content

Bot Endpoint Policy Versions.

GET
/api/shape/bot/namespaces/{namespace}/bot_endpoint_policy/{name}/versions
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_endpoint_policy/example/versions \
--header 'Authorization: <Authorization>'

GET bot endpoint policy versions.

Examples of this operation.

namespace
required
string

Namespace namespace is used to scope the query.

name
required
string

Policy name Policy name.

A successful response.

Media typeapplication/json
PolicyVersionsResponse

Policy versions response.

object
policy_versions
Policy Versions

Policy Versions.

Array<object>
PolicyVersion

Policy version.

object
bot_infras_name
Bot Infrastructure Name

Bot Infrastructure Name.

Array<string>
update_time
Last Updated

Policy last updated time.

string format: date-time
<= 1024 characters
update_user
Last Modified By

Last Modified By the user email.

string
<= 1024 characters
version_number
Policy Version Number

Policy Version Number.

string
<= 1024 characters
version_status
Policy Version status

Version status: in use, published, not published.

string
<= 1024 characters
Examplegenerated
{
"policy_versions": [
{
"bot_infras_name": [
"example"
],
"update_time": "2026-04-15T12:00:00Z",
"update_user": "example",
"version_number": "example",
"version_status": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example